// ItemSkuSyncParams.java

package com.benyun.project.third.longxiang.domain;

import lombok.Data;

import java.util.List;

/**
 * 商品Sku同步参数校验实体
 * <p>
 * ItemSkuSyncParams
 */
public class ItemSkuSyncParams {
    /**
     * 操作类型（add | update）   必传
     */
    private String action_type;
    /**
     * 保质期临期预警天数
     */
    private Long adventlifecyc;
    /**
     * 商品条码（商品条形码、69码）
     * 将作为WMS系统唯一编码，同一租户/货主下不能重复
     * update时不允许修改此字段   必传
     */
    private String bar_code;
    /**
     * 财务编码
     */
    private String financial_code;
    /**
     * 临期天数
     */
    private Long hand_day;
    /**
     * 高，单位/厘米   必传
     */
    private double height;
    /**
     * 是否是组合商品
     * update时不允许修改此字段  必传
     */
    private boolean is_combine;
    /**
     * 货号
     */
    private String item_number;
    /**
     * 规格(举例：50kg/包)
     */
    private String item_specs;
    /**
     * 组合商品列表
     * 注意：组合商品不能嵌套，即该列表内不能包含组合商品
     */
    private List<SkuItem> items;
    /**
     * 长，单位/厘米   必传
     */
    private double length;
    /**
     * 保质期禁售天数
     */
    private Long lockuplifecyc;
    /**
     * 货主ID   必传
     * 商品同步成功后，将会自动同步至该WMS货主下
     */
    private Integer partner_id;
    /**
     * 图片链接
     */
    private String pic;
    /**
     * 价格  必传
     */
    private double price;
    /**
     * 保质期禁收天数
     */
    private Long rejectlifecyc;
    /**
     * 保质期（天）
     */
    private Long shelf_life;
    /**
     * Sku编号  必传
     */
    private String sku_code;
    /**
     * 商品ID（OMS系统唯一编码）
     * 操作类型为 update 时必传
     */
    private Long sku_id;
    /**
     * 商品副标题
     */
    private String sku_subtitle;
    /**
     * 商品名称   必传
     */
    private String sku_title;
    /**
     * 库存
     */
    private Long stock;
    /**
     * 租户ID   必传
     */
    private String tenant_id;
    /**
     * 单位
     */
    private String unit;
    /**
     * 重量，单位/克   必传
     */
    private double weight;
    /**
     * 宽，单位/厘米  必传
     */
    private double width;

    public String getAction_type() {
        return action_type;
    }

    public void setAction_type(String action_type) {
        this.action_type = action_type;
    }

    public Long getAdventlifecyc() {
        return adventlifecyc;
    }

    public void setAdventlifecyc(Long adventlifecyc) {
        this.adventlifecyc = adventlifecyc;
    }

    public String getBar_code() {
        return bar_code;
    }

    public void setBar_code(String bar_code) {
        this.bar_code = bar_code;
    }

    public String getFinancial_code() {
        return financial_code;
    }

    public void setFinancial_code(String financial_code) {
        this.financial_code = financial_code;
    }

    public Long getHand_day() {
        return hand_day;
    }

    public void setHand_day(Long hand_day) {
        this.hand_day = hand_day;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    public boolean isIs_combine() {
        return is_combine;
    }

    public void setIs_combine(boolean is_combine) {
        this.is_combine = is_combine;
    }

    public String getItem_number() {
        return item_number;
    }

    public void setItem_number(String item_number) {
        this.item_number = item_number;
    }

    public String getItem_specs() {
        return item_specs;
    }

    public void setItem_specs(String item_specs) {
        this.item_specs = item_specs;
    }

    public List<SkuItem> getItems() {
        return items;
    }

    public void setItems(List<SkuItem> items) {
        this.items = items;
    }

    public double getLength() {
        return length;
    }

    public void setLength(double length) {
        this.length = length;
    }

    public Long getLockuplifecyc() {
        return lockuplifecyc;
    }

    public void setLockuplifecyc(Long lockuplifecyc) {
        this.lockuplifecyc = lockuplifecyc;
    }

    public Integer getPartner_id() {
        return partner_id;
    }

    public void setPartner_id(Integer partner_id) {
        this.partner_id = partner_id;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public Long getRejectlifecyc() {
        return rejectlifecyc;
    }

    public void setRejectlifecyc(Long rejectlifecyc) {
        this.rejectlifecyc = rejectlifecyc;
    }

    public Long getShelf_life() {
        return shelf_life;
    }

    public void setShelf_life(Long shelf_life) {
        this.shelf_life = shelf_life;
    }

    public String getSku_code() {
        return sku_code;
    }

    public void setSku_code(String sku_code) {
        this.sku_code = sku_code;
    }

    public Long getSku_id() {
        return sku_id;
    }

    public void setSku_id(Long sku_id) {
        this.sku_id = sku_id;
    }

    public String getSku_subtitle() {
        return sku_subtitle;
    }

    public void setSku_subtitle(String sku_subtitle) {
        this.sku_subtitle = sku_subtitle;
    }

    public String getSku_title() {
        return sku_title;
    }

    public void setSku_title(String sku_title) {
        this.sku_title = sku_title;
    }

    public Long getStock() {
        return stock;
    }

    public void setStock(Long stock) {
        this.stock = stock;
    }

    public String getTenant_id() {
        return tenant_id;
    }

    public void setTenant_id(String tenant_id) {
        this.tenant_id = tenant_id;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }


    @Override
    public String toString() {
        return "ItemSkuSyncParams{" +
                "action_type='" + action_type + '\'' +
                ", adventlifecyc=" + adventlifecyc +
                ", bar_code='" + bar_code + '\'' +
                ", financial_code='" + financial_code + '\'' +
                ", hand_day=" + hand_day +
                ", height=" + height +
                ", is_combine=" + is_combine +
                ", item_number='" + item_number + '\'' +
                ", item_specs='" + item_specs + '\'' +
                ", items=" + items +
                ", length=" + length +
                ", lockuplifecyc=" + lockuplifecyc +
                ", partner_id=" + partner_id +
                ", pic='" + pic + '\'' +
                ", price=" + price +
                ", rejectlifecyc=" + rejectlifecyc +
                ", shelf_life=" + shelf_life +
                ", sku_code='" + sku_code + '\'' +
                ", sku_id=" + sku_id +
                ", sku_subtitle='" + sku_subtitle + '\'' +
                ", sku_title='" + sku_title + '\'' +
                ", stock=" + stock +
                ", tenant_id='" + tenant_id + '\'' +
                ", unit='" + unit + '\'' +
                ", weight=" + weight +
                ", width=" + width +
                '}';
    }
}
